Billing
List billing activity entries for the current workspace.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 1001 <= value <= 20050Cursor: id from the previous page.
Response Body
application/json
curl -X GET "https://example.com/v1/billing/audit-log"{ "items": [ { "id": "string", "workspaceId": "string", "action": "string", "payload": null, "createdAt": "string" } ], "nextCursor": "string"}Get the workspace billing entitlements used for product feature gates. The response may use a cached read model when the billing provider is temporarily unavailable.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Response Body
application/json
application/json
curl -X GET "https://example.com/v1/billing/entitlements"{ "planId": "starter", "planStatus": "active", "features": { "custom_domains": true, "private_managers": true, "operations_custom_plugins": true, "sso_saml": true, "audit_logs": true, "airgapped": true }, "limits": { "maxDeployments": 0, "maxProjects": 0, "maxSeats": 0, "maxCustomDomains": 0, "creditUsd": 0, "seatsIncluded": 0 }, "syncedAt": "2019-08-24T14:15:22Z", "stale": true}